# needed for building on el6
%{?nodejs_find_provides_and_requires}

# circular dependency on nodejs-tad
%global enable_tests 0
%global srcname fs2

Name:           nodejs-%{srcname}
Version:        0.2.3
Release:        6%{?dist}
Summary:        Node.js fs (file system package) extensions
License:        MIT
URL:            https://github.com/medikoo/fs2
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch

%if 0%{?rhel} == 6
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%else
ExclusiveArch:  %{nodejs_arches} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tad)
BuildRequires:  npm(d)
BuildRequires:  npm(deferred)
BuildRequires:  npm(es5-ext)
BuildRequires:  npm(event-emitter)
BuildRequires:  npm(memoizee)
BuildRequires:  npm(minimatch)
%endif

%description
%{summary}.

%prep
%setup -qn package
rm -rf node_modules
%nodejs_fixdep d '<2'
%nodejs_fixdep minimatch '<4'

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json *.js lib/ \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} %{nodejs_sitelib}/tad/bin/tad
%endif

%files
%{!?_licensedir:%global license %doc}
%doc CHANGES *.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Dec 19 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.2.3-1
- Initial package
